Tri Class Reference

`#include <LatticeAlgs.h>`

## Public Member Functions

| Tri (Neighbor a, Neighbor b, Neighbor sum, const vector< Mlfb > &mlfbs, const GrobLat &lat)
Neighbor | getA () const
Neighbor | getB () const
Neighbor | getSum () const
const vector< const Mlfb * > & | getASideMlfbs () const
const vector< const Mlfb * > & | getBSideMlfbs () const
const vector< Neighbor > & | getNeighborsOnBoundary () const
const vector< Neighbor > & | getNeighborsInInterior () const

## Private Attributes

Neighbor | _a
Neighbor | _b
Neighbor | _sum
vector< const Mlfb * > | _aSideMlfbs
vector< const Mlfb * > | _bSideMlfbs
vector< Neighbor > | _interior
vector< Neighbor > | _boundary

## Detailed Description

Definition at line 235 of file LatticeAlgs.h.

## Constructor & Destructor Documentation

## Tri()

Tri::Tri | ( | Neighbor | a,
|  | Neighbor | b,
|  | Neighbor | sum,
|  | const vector< Mlfb > & | mlfbs,
|  | const GrobLat & | lat )

Definition at line 567 of file LatticeAlgs.cpp.

## Member Function Documentation

## getA()

Neighbor Tri::getA | ( |  | ) | const

inline

Definition at line 240 of file LatticeAlgs.h.

## getASideMlfbs()

const vector< const Mlfb * > & Tri::getASideMlfbs | ( |  | ) | const

inline

Definition at line 243 of file LatticeAlgs.h.

## getB()

Neighbor Tri::getB | ( |  | ) | const

inline

Definition at line 241 of file LatticeAlgs.h.

## getBSideMlfbs()

const vector< const Mlfb * > & Tri::getBSideMlfbs | ( |  | ) | const

inline

Definition at line 244 of file LatticeAlgs.h.

## getNeighborsInInterior()

const vector< Neighbor > & Tri::getNeighborsInInterior | ( |  | ) | const

inline

Definition at line 246 of file LatticeAlgs.h.

## getNeighborsOnBoundary()

const vector< Neighbor > & Tri::getNeighborsOnBoundary | ( |  | ) | const

inline

Definition at line 245 of file LatticeAlgs.h.

## getSum()

Neighbor Tri::getSum | ( |  | ) | const

inline

Definition at line 242 of file LatticeAlgs.h.

## Member Data Documentation

## _a

Neighbor Tri::_a

private

Definition at line 249 of file LatticeAlgs.h.

## _aSideMlfbs

vector<const Mlfb*> Tri::_aSideMlfbs

private

Definition at line 252 of file LatticeAlgs.h.

## _b

Neighbor Tri::_b

private

Definition at line 250 of file LatticeAlgs.h.

## _boundary

vector<Neighbor> Tri::_boundary

private

Definition at line 255 of file LatticeAlgs.h.

## _bSideMlfbs

vector<const Mlfb*> Tri::_bSideMlfbs

private

Definition at line 253 of file LatticeAlgs.h.

## _interior

vector<Neighbor> Tri::_interior

private

Definition at line 254 of file LatticeAlgs.h.

## _sum

Neighbor Tri::_sum

private

Definition at line 251 of file LatticeAlgs.h.

The documentation for this class was generated from the following files:

- src/LatticeAlgs.h
- src/LatticeAlgs.cpp